## eviacam 2.1.0

=== debian/changelog ===
eviacam (2.1.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports. Closes: #814955

 -- Cesar Mauri <cesar@crea-si.com>  Sat, 09 Apr 2016 17:02:08 +0200

eviacam (2.1.0-1) unstable; urgency=low

  * Acknowledge previous NMU, thanks Tobias!

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #814829

  * [Debconf translation updates]
    - Russian (Yuri Kozlov).  Closes: #817013
    - Japanese (Takuma Yamada).  Closes: #817861
    - German (Chris Leick).  Closes: #818028
    - Czech (Michal Simunek).  Closes: #818348
    - Catalan; (Cesar Mauri).  Closes: #818613
    - Spanish; (Cesar Mauri).  Closes: #818614
    - Brazilian Portuguese (Adriano Rafael Gomes).  Closes: #818682
    - Dutch; (Frans Spiesschaert).  Closes: #818690
    - Portuguese (Américo Monteiro).  Closes: #818720
    - French (Julien Patriarca).  Closes: #818283
    - Italian (Gianfranco Costamagna).

  [ Cesar Mauri ]
  * Upstream version 2.1.0 

 -- Cesar Mauri <cesar@crea-si.com>  Tue, 29 Mar 2016 22:04:44 +0200

eviacam (2.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libpng transition: Change B-D from libpng12-dev to libpng-dev.
    (Closes: #819434)

 -- Tobias Frost <tobi@debian.org>  Mon, 28 Mar 2016 15:48:29 +0200

eviacam (2.0.3-1) unstable; urgency=medium

  * Initial release (closes: #634840)

 -- Cesar Mauri <cesar@crea-si.com>  Wed, 16 Sep 2015 21:20:53 +0200

## eviacam 2.1.3

=== creavision/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(creavision)

set(creavision_SRCS
	crvcamera.h
	crvcamera.cpp
	crvcamera_enum.h
	crvcamera_enum.cpp	
	crvcolor.cpp
	crvcolor.h
	crvgeomtry.cpp
	crvgeomtry.h
	crvhistogram.cpp
	crvhistogram.h
	crvimage.cpp
	crvimage.h
	crvmisc.cpp
	crvmisc.h
	crvnormroi.cpp
	crvnormroi.h
	crvskindetection.cpp
	crvskindetection.h
)

IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
FIND_PACKAGE( GLIB2 REQUIRED )
INCLUDE_DIRECTORIES (${GLIB2_INCLUDE_DIRS})
INCLUDE_DIRECTORIES (libwebcam)
add_subdirectory(libwebcam)
set(creavision_SRCS ${creavision_SRCS}
	crvcamera_v4l2.cpp
	crvcamera_v4l2.h
	colorspaces.cpp
	colorspaces.h
	pwc-ioctl.h
	defs.h
)
ELSEIF(WIN32)
set(creavision_SRCS ${creavision_SRCS}
	crvcamera_wdm.cpp
	crvcamera_wdm.h
	videoInput.cpp
	videoInput.h
)
ELSE(CMAKE_SYSTEM_NAME MATCHES "Linux")
set(creavision_SRCS ${creavision_SRCS}
	crvcamera_cv.cpp
	crvcamera_cv.h
)
ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")

if(UNIX)
	# For UNIX platforms we assume OpenCV is under /usr which 
	# would not be always true
#	set (OpenCV_DIR "/usr")
endif(UNIX)

FIND_PACKAGE( OpenCV REQUIRED core video highgui imgproc)

if(WIN32)
	if (MSVC)
		configure_file("${OpenCV_DIR}/bin/Debug/opencv_core220d.dll" ${RUNTIME_OUTPUT_DIRECTORY}/Debug COPYONLY)
		configure_file("${OpenCV_DIR}/bin/opencv_core220.dll" ${RUNTIME_OUTPUT_DIRECTORY}/Release COPYONLY)
		
		configure_file("${OpenCV_DIR}/bin/Debug/opencv_highgui220d.dll" ${RUNTIME_OUTPUT_DIRECTORY}/Debug COPYONLY)
		configure_file("${OpenCV_DIR}/bin/opencv_highgui220.dll" ${RUNTIME_OUTPUT_DIRECTORY}/Release COPYONLY)
		
		configure_file("${OpenCV_DIR}/bin/Debug/opencv_imgproc220d.dll" ${RUNTIME_OUTPUT_DIRECTORY}/Debug COPYONLY)
		configure_file("${OpenCV_DIR}/bin/opencv_imgproc220.dll" ${RUNTIME_OUTPUT_DIRECTORY}/Release COPYONLY)
		
		configure_file("${OpenCV_DIR}/bin/Debug/opencv_video220d.dll" ${RUNTIME_OUTPUT_DIRECTORY}/Debug COPYONLY)
		configure_file("${OpenCV_DIR}/bin/opencv_video220.dll" ${RUNTIME_OUTPUT_DIRECTORY}/Release COPYONLY)
	endif(MSVC)

	install (FILES 
		"${OpenCV_DIR}/bin/opencv_core220.dll"
		"${OpenCV_DIR}/bin/opencv_highgui220.dll"
		"${OpenCV_DIR}/bin/opencv_imgproc220.dll"
		"${OpenCV_DIR}/bin/opencv_video220.dll"
		DESTINATION ${LIBRUNTIMEDIR}
	)
endif(WIN32)

add_library (creavision STATIC ${creavision_SRCS})
TARGET_LINK_LIBRARIES(creavision ${OpenCV_LIBS} )
TARGET_LINK_LIBRARIES(creavision simplelog)

IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
	TARGET_LINK_LIBRARIES(creavision libwebcam v4l2)
ELSEIF(WIN32)
	TARGET_LINK_LIBRARIES(creavision ole32.lib strmiids.lib uuid.lib dxguid.lib)
ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")

## eviacam 2.1.1

=== debian/changelog ===
eviacam (2.1.1-1build2) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 12:37:14 +0100

eviacam (2.1.1-1build1) artful; urgency=medium

  * No-change rebuild against OpenCV 3.1.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Tue, 20 Jun 2017 14:04:16 +0200

eviacam (2.1.1-1) unstable; urgency=low

  * Upstream version 2.1.1

 -- Cesar Mauri <cesar@crea-si.com>  Thu, 27 Oct 2016 19:58:42 +0200

=== debian/control ===
Source: eviacam
Section: x11
Priority: optional
Maintainer: Cesar Mauri <cesar@crea-si.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libgtk2.0-dev,
               libopencv-dev (>= 2.0),
               libpng-dev,
               libv4l-dev,
               libwxgtk3.0-dev,
               libxext-dev,
               libxtst-dev,
               po-debconf
Standards-Version: 3.9.7
Homepage: http://viacam.org

Package: eviacam
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, opencv-data
Recommends: wx3.0-i18n
Description: camera based mouse emulator
 Enable Viacam (aka eViacam) is a mouse replacement program that moves
 the pointer tracking the user's head movements. It works on a standard
 computer equipped with a "webcam". No additional hardware is required.
 Based on the award winning Facial Mouse.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = $(CPPFLAGS)
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# main packaging script based on dh7 syntax
%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh	
	
override_dh_clean:
	debconf-updatepo
	dh_clean
	find po -name "*.gmo" -delete
	-rm po/stamp-po

override_dh_auto_configure:
	dh_auto_configure -- --disable-updates-check

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.asc/ http://sf.net/eviacam/eviacam_(.+)\.orig\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## eviacam 2.1.3

=== debian/changelog ===
eviacam (2.1.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace sg usage with getent group in maintainerscripts (Closes: #904047)
    - note for further improvement:
      removing group on purge likely violates common consensus
      (See mailinglist thread linked in #228692)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Dec 2018 21:13:42 +0100

eviacam (2.1.3-4) unstable; urgency=medium

  * disable DH_VERBOSE = 1

 -- Cesar Mauri <cesar@crea-si.com>  Mon, 16 Apr 2018 15:23:49 +0200

eviacam (2.1.3-3) unstable; urgency=medium

  * New upstream release 2.1.3
  * Upgrade dependency from gtk-2 to gtk-3
  * Closes: #872308

 -- Cesar Mauri <cesar@crea-si.com>  Mon, 26 Mar 2018 10:58:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Cesar Mauri <cesar@crea-si.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libgtk2.0-dev,
                libopencv-dev (>= 2.0),
                libpng-dev,
                libv4l-dev,
-               libwxgtk3.0-dev,
+               libwxgtk3.0-gtk3-dev,
+               libgtk-3-dev,
                libxext-dev,
                libxtst-dev,
                po-debconf
-Standards-Version: 3.9.7
+Standards-Version: 4.1.3
 Homepage: http://viacam.org
 
 Package: eviacam

## eviacam 2.1.4

=== simplelog/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(simplelog)

set (SIMPLELOG_MAJOR_VERSION 0)
set (SIMPLELOG_RELEASE_VERSION 5)
set (SIMPLELOG_EPOCH_VERSION 0)

SET(BUILD_SHARED_LIBS OFF CACHE BOOL "Build shared libraries as default?")

set(simplelog_HEADERS
	simplelog.h
)

set(simplelog_SRCS
	${simplelog_HEADERS}
	simplelog.c
)

add_library (simplelog ${simplelog_SRCS})
#add_definitions(-DSIMPLELOG_BUILD)

set_target_properties(simplelog PROPERTIES 
	VERSION "${SIMPLELOG_MAJOR_VERSION}.${SIMPLELOG_RELEASE_VERSION}.${SIMPLELOG_EPOCH_VERSION}"
	SOVERSION ${SIMPLELOG_MAJOR_VERSION}
	)
	
install (FILES ${simplelog_HEADERS} DESTINATION "include")
if (NOT LIBRUNTIMEDIR)
	IF(WIN32)
		set (LIBRUNTIMEDIR "bin")
	ELSE(WIN32)
		set (LIBRUNTIMEDIR "lib")
	ENDIF(WIN32)
endif()
INSTALL (TARGETS simplelog RUNTIME DESTINATION ${LIBRUNTIMEDIR} LIBRARY DESTINATION "lib" ARCHIVE DESTINATION "lib")

=== debian/changelog ===
eviacam (2.1.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Update to build with wxwidgets-3.2 (new patch
    wx3.2-compat.patch) (Closes: #1019790)

 -- Olly Betts <olly@survex.com>  Wed, 09 Nov 2022 10:14:08 +1300

eviacam (2.1.4-2) unstable; urgency=medium

  * Team upload
  * Add upstream merged patch for new opencv (Closes: #950545)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2020 14:09:11 +0100

eviacam (2.1.4-1) unstable; urgency=medium

  * Upstream version 2.1.4

 -- Cesar Mauri <cesar@crea-si.com>  Mon, 28 Oct 2019 21:08:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: x11
 Priority: optional
 Maintainer: Cesar Mauri <cesar@crea-si.com>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 11),
                libopencv-dev (>= 2.0),
                libpng-dev,
                libv4l-dev,
-               libwxgtk3.0-gtk3-dev,
+               libwxgtk3.2-dev,
                libgtk-3-dev,
                libxext-dev,
                libxtst-dev,
                po-debconf
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: http://viacam.org
 
 Package: eviacam

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
-export DH_VERBOSE = 1
+#export DH_VERBOSE = 1
 
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1

## eviacam 2.1.4%2Bgit20221109

=== debian/changelog ===
eviacam (2.1.4+git20221109-1~mx23) mx; urgency=medium

  * Rebuild from Git for MX-23 (because Ubuntu version didn't work)

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 06 Nov 2024 19:05:07 +0000

eviacam (2.1.4-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:43 +1100

eviacam (2.1.4-2.1build1) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:09:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: eviacam
 Section: x11
 Priority: optional
-Maintainer: Cesar Mauri <cesar@crea-si.com>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Cesar Mauri <cesar@crea-si.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 11),
                libopencv-dev (>= 2.0),

## eviacam 2.1.4+git20221109.a4032ed

=== creavision/libwebcam/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(libwebcam)

IF(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
	MESSAGE (FATAL_ERROR "libwebcam is only available for linux systems")
ENDIF(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")

find_file(VIDEODEV_INCLUDE_FILE
	videodev.h 
	/usr/include/linux
)

if (NOT VIDEODEV_INCLUDE_FILE)
find_file(VIDEODEV_INCLUDE_FILE
	libv4l1-videodev.h
	/usr/include/
)
endif()

if (NOT VIDEODEV_INCLUDE_FILE)
	message (FATAL_ERROR "Cannot find videodev.h nor libv4l1-videodev.h")
endif()

configure_file ("incvideodev.h.in" "${CMAKE_BINARY_DIR}/include/incvideodev.h" )

set(libwebcam_SRCS
	compat.h
	dynctrl-logitech.h
	libwebcam.c
	libwebcam.h
	uvcvideo.h
	webcam.h
)

add_library (libwebcam STATIC ${libwebcam_SRCS})
#TARGET_LINK_LIBRARIES(creavision ${OpenCV_LIBS} )

=== debian/changelog ===
eviacam (2.1.4+git20221109.a4032ed-0.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:29:47 +0100

eviacam (2.1.4+git20221109.a4032ed-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream snapshot. (Closes: #1033052)

 -- Bastian Germann <bage@debian.org>  Fri, 21 Mar 2025 08:37:15 +0100
